Skip to main content
GET
/
api
/
watch
/
owner
/
{ownerId}
Lists all watches for a specific owner entity (e.g. Container, Board, Item).
curl --request GET \
  --url https://{tenant}.ekso.app/api/watch/owner/{ownerId} \
  --header 'Authorization: Bearer <token>'
[
  {
    "entity": "<string>",
    "owner": 123,
    "ownerId": "<string>",
    "watcher": 123,
    "watcherId": "<string>",
    "type": 123,
    "tenantId": "<string>",
    "id": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "updated": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>",
    "deleted": true
  }
]

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

ownerId
string
required

The unique identifier of the owning entity.

Response

List of watches for the owner.

entity
null | string
owner
integer
ownerId
string
watcher
integer
watcherId
string
type
integer
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean